<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>All Bikes</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" </head>
    <style>
        article {
            border: 1px solid black;
            margin: 5px;
           padding: 5px;
        }
    </style>
        <body>
    <div class="container-fluid">
        <div class="row">
            {# Ici, on boucle sur tous les vélos que le contrôleur nous a donné
            (ceux qu'il est allé chercher dans la base de données)
            A l'intérieur du for, on met toute la structure HTML qui sera
            répétée pour chacun de nos vélos. (il n'y a pas de limite sur 
            le html qu'on peut mettre dans un for, on peut utiliser les 
            components bootstrap ou autre) #}
            {% for row in bikes %}
            <div class="col-md-6">
                <article>
                    <p>Brand: {{row.brand}}</p>
                    <p>Color: {{row.color}}</p>
                    <p>Gear Number: {{row.gearNb}}</p>
                    <p>Electric: {{row.electric}}</p>
                    {# Ici, on fait un lien vers la route ayant comme name "show_bike", et
                    on lui donne comme valeur pour son paramètre id, l'id du vélo actuel de la boucle #}
                    <a class="btn btn-primary" href="{{ path('show_bike', {id: row.id}) }}">Show</a>
                </article>
            </div>
            {% endfor %}
        </div>
    </div>
    </body>

</html>